commit:     8a1e61eb10b1acb4ec5c8a6b5958b1e01c8fc7d8
Author:     José María Alonso Josa <nimiux <AT> gentoo <DOT> org>
AuthorDate: Thu Feb  4 09:23:00 2016 +0000
Commit:     José María Alonso <nimiux <AT> gentoo <DOT> org>
CommitDate: Thu Feb  4 09:23:00 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8a1e61eb

app-portage/conf-update: Bump to version 1.0.3-r1

Fixes bug #573272

Package-Manager: portage-2.2.26

 .../conf-update/conf-update-1.0.3-r1.ebuild        | 36 ++++++++++++++++++++++
 app-portage/conf-update/metadata.xml               |  2 ++
 2 files changed, 38 insertions(+)

diff --git a/app-portage/conf-update/conf-update-1.0.3-r1.ebuild 
b/app-portage/conf-update/conf-update-1.0.3-r1.ebuild
new file mode 100644
index 0000000..821c39c
--- /dev/null
+++ b/app-portage/conf-update/conf-update-1.0.3-r1.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit eutils toolchain-funcs
+
+DESCRIPTION="${PN} is a ncurses-based config management utility"
+HOMEPAGE="https://gitweb.gentoo.org/proj/conf-update.git/";
+SRC_URI="https://gitweb.gentoo.org/proj/${PN}.git/snapshot/${P}.tar.bz2";
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86"
+IUSE="colordiff libressl"
+
+RDEPEND=">=dev-libs/glib-2.6
+               sys-libs/ncurses:0
+               libressl? ( dev-libs/openssl:0 )
+               libressl? ( dev-libs/libressl )
+               colordiff? ( app-misc/colordiff )"
+DEPEND="virtual/pkgconfig
+               ${RDEPEND}"
+
+src_prepare() {
+       sed -i -e "s/\$Rev:.*\\$/${PVR}/" "${S}"/"${PN}".h || die
+       if use colordiff ; then
+               sed -i -e "s/diff_tool=diff/diff_tool=colordiff/" ${PN}.conf  \ 
die 'colordiff-sed failed'
+       fi
+       tc-export PKG_CONFIG
+}
+
+src_compile() {
+       emake CC="$(tc-getCC)"
+}

diff --git a/app-portage/conf-update/metadata.xml 
b/app-portage/conf-update/metadata.xml
index 31347ae..cae82b3 100644
--- a/app-portage/conf-update/metadata.xml
+++ b/app-portage/conf-update/metadata.xml
@@ -16,5 +16,7 @@ portage de Gentoo Linux
 <use>
   <flag name="colordiff">Use colors when displaying diffs
     (<pkg>app-misc/colordiff</pkg>)</flag>
+<flag name="libressl">Enable SSL connections and crypto functions
+       using <pkg>dev-libs/libressl</pkg></flag>
 </use>
 </pkgmetadata>

Reply via email to